<template>
  <component
    :is="component"
    :name="name"
    v-bind:value="this.component == 'input' ? value : ''"
    @input="vuemik.change(name, $event.target.value)"
  >
    {{ this.component == "textarea" ? this.value : ""}}
    <slot></slot>
  </component>
</template>

<script>
export default {
  name: "Field",
  inject: ["vuemik"],
  props: {
    name: {
      type: String,
      required: true,
    },
    component: {
      type: [Object, String],
      required: true,
    },
  },
  computed: {
    value: function() {   
      return this.vuemik.values[this.name];
    }
  },
};
</script>